// import Layout from '@/layout'

// export default {
//     path: '/bparam',
//     component: Layout,//先加载layout组件
//     //redirect: '@/views/bparam/baseparam',
//     name: 'bparam',
//     meta: { title: '基站参数', icon: 'el-icon-s-help' },
//     children: [{
//         path: '/bparam/baseparam',
//         name: 'baseparam',
//         component: () => import('@/views/bparam/baseparam'),
//         meta: { title: '基本参数', icon: 'table' }
//     }, {
//         path: '/bparam/btstopology',
//         name: 'btstopology',
//         component: () => import('@/views/bparam/btstopology'),
//         meta: { title: '基站拓扑', icon: 'table' }
//     }
//     ]
// }

import Layout from '@/layout'

export default {
    path: '/bparam',
    component: Layout,
    redirect: '/bparam/baseparam',  // 重定向配置
    name: 'bparam',
    meta: { title: '基站参数', icon: 'el-icon-s-help' },
    children: [
        {
            path: 'baseparam',  // 修改为相对路径
            name: 'baseparam',
            component: () => import('@/views/bparam/baseparam'),
            meta: { title: '基本参数', icon: 'table' }
        },
        {
            path: 'btstopology',  // 修改为相对路径
            name: 'btstopology',
            component: () => import('@/views/bparam/btstopology'),
            meta: { title: '基站拓扑', icon: 'table' }
        }
    ]
}